apiVersion: v1
kind: Pod
metadata:
  name: nginx
spec:
  containers:
  - name: nginx
    image: nginx:1.14.2
    ports:
    - containerPort: 80
      hostPort: 8080

---

apiVersion: apps/v1
kind: Deployment
metadata:
  name: python-deployment
  labels:
    app: python
spec:
  replicas: 1
  selector:
    matchLabels:
      app: python
  template:
    metadata:
      labels:
        app: python
    spec:
      containers:
      - name: python
        image: python:3.11
        command: ["/bin/bash", "-c", "sleep infinity"]
